\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial Minidem}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  




\newdemexo{06}{A Bit of Gravity}

\noindent The aim of this tutorial is to show you how (i) to generate a domain with a large number of particles using a loop and (ii) to introduce gravity forces.

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{06}{tuto-06\_exercice.py}. Run the script
  \dltutodem{06}{tuto-06\_exercice.py}.
\end{task}

\begin{info}
At this stage, you should obtain a simulation similar to the video \dltutodem{06}{tuto-06\_exercice.mp4}.
\end{info}

\begin{info}
  To make the simulation more realistic, you will introduce gravitational forces according to:
  \begin{equation}
    \vec{f}_{i} = -g . m_{i} . \vec{y}\nonumber
  \end{equation}
  where $\vec{f}_{i}$ is the gravitational force applied to particle $i$, $m_{i}$ is the mass of particle $i$, and $g$ is the acceleration due to gravity, which is 9.81.
\end{info}


\begin{task}
  Knowing that you can access the mass of a particle using the \texttt{mass} attribute of the \texttt{grain} class, implement a function \texttt{add\_gravity\_force()} that applies gravitational forces to the particles (note, don't forget that the applied forces should be incremental).
\end{task}



\begin{task}
  Call this function in the time loop.
\end{task}

\begin{info}
  At this stage, you should obtain a simulation similar to the video \dltutodem{06}{tuto-06\_correction.mp4}.
\end{info}

\end{document}
